Open CASCADE Technology: TColStd_HArray2OfInteger Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TColStd_HArray2OfInteger Class Reference

`#include <TColStd_HArray2OfInteger.hxx>`

Inheritance diagram for TColStd_HArray2OfInteger:
[legend]

## Public Member Functions
| TColStd_HArray2OfInteger (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
| TColStd_HArray2OfInteger (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const Standard_Integer &V)
void | Init (const Standard_Integer &V)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Standard_Integer &Value)
const Standard_Integer & | Value (const Standard_Integer Row, const Standard_Integer Col) const
Standard_Integer & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
const TColStd_Array2OfInteger & | Array2 () const
TColStd_Array2OfInteger & | ChangeArray2 ()
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

TColStd_HArray2OfInteger::TColStd_HArray2OfInteger | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |  |

TColStd_HArray2OfInteger::TColStd_HArray2OfInteger | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const Standard_Integer & | V
| ) |  |

## Member Function Documentation

const TColStd_Array2OfInteger& TColStd_HArray2OfInteger::Array2 | ( |  | ) | const

TColStd_Array2OfInteger& TColStd_HArray2OfInteger::ChangeArray2 | ( |  | ) |

Standard_Integer& TColStd_HArray2OfInteger::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  |

Standard_Integer TColStd_HArray2OfInteger::ColLength | ( |  | ) | const

void TColStd_HArray2OfInteger::Init | ( | const Standard_Integer & | V | ) |

Standard_Integer TColStd_HArray2OfInteger::LowerCol | ( |  | ) | const

Standard_Integer TColStd_HArray2OfInteger::LowerRow | ( |  | ) | const

Standard_Integer TColStd_HArray2OfInteger::RowLength | ( |  | ) | const

void TColStd_HArray2OfInteger::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Standard_Integer & | Value
| ) |  |

Standard_Integer TColStd_HArray2OfInteger::UpperCol | ( |  | ) | const

Standard_Integer TColStd_HArray2OfInteger::UpperRow | ( |  | ) | const

const Standard_Integer& TColStd_HArray2OfInteger::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  | const

The documentation for this class was generated from the following file:

- TColStd_HArray2OfInteger.hxx